intersphinx requires network access which sometimes fails

Bug #1368910 reported by Joe Gordon on 2014-09-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Unassigned
MagnetoDB
Medium
Christian Berendt
Manila
Undecided
Andreas Jaeger
OpenStack Compute (nova)
Medium
Joe Gordon
oslo-incubator
Undecided
Andreas Jaeger
python-manilaclient
Undecided
Andreas Jaeger

Bug Description

The intersphinx module requires internet access, and periodically causes docs jobs to fail.

This module also prevents docs from being built without internet access.

Since we don't actually use intersphinx for much (if anything), lets just remove it.

Joe Gordon (jogo) wrote :

message:"WARNING: intersphinx inventory" AND tags:"console.html" AND build_name:"gate-nova-docs"

Changed in nova:
assignee: nobody → Joe Gordon (jogo)
status: New → In Progress
Joe Gordon (jogo) on 2014-09-12
Changed in nova:
importance: Undecided → Medium
Mike Perez (thingee) on 2014-09-12
Changed in cinder:
assignee: nobody → Andreas Jaeger (jaegerandi)
status: New → In Progress

Reviewed: https://review.openstack.org/121200
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=f5c3f6a95374244ae0d9a4d9a5e4a4ad9fe4608a
Submitter: Jenkins
Branch: master

commit f5c3f6a95374244ae0d9a4d9a5e4a4ad9fe4608a
Author: Andreas Jaeger <email address hidden>
Date: Fri Sep 12 22:41:42 2014 +0200

    Stop using intersphinx

    Remove intersphinx from the docs build as it triggers network calls that
    occasionally fail, and we don't really use intersphinx (links other
    sphinx documents out on the internet)

    This also removes the requirement for internet access during docs build.

    This causes docs jobs to fail because we error out on warnings.

    Change-Id: I71e941e2a639641a662a163c682eb86d51de42fb
    Related-Bug: #1368910

Changed in manila:
status: New → In Progress
assignee: nobody → Andreas Jaeger (jaegerandi)
Changed in python-manilaclient:
status: New → In Progress
assignee: nobody → Andreas Jaeger (jaegerandi)

Reviewed: https://review.openstack.org/121224
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=3ab7af8dc1519f0435a4f42d33cd171748ea128c
Submitter: Jenkins
Branch: master

commit 3ab7af8dc1519f0435a4f42d33cd171748ea128c
Author: Andreas Jaeger <email address hidden>
Date: Fri Sep 12 22:40:23 2014 +0200

    Stop using intersphinx

    Remove intersphinx from the docs build as it triggers network calls that
    occasionally fail, and we don't really use intersphinx (links other
    sphinx documents out on the internet)

    This also removes the requirement for internet access during docs build.

    This causes docs jobs to fail because we error out on warnings.

    Change-Id: I71e941e2a639641a662a163c682eb86d51de42fb
    Related-Bug: #1368910

Reviewed: https://review.openstack.org/121325
Committed: https://git.openstack.org/cgit/openstack/python-manilaclient/commit/?id=9b99c92c6d8220d111d57bdec2ce057868eb77c9
Submitter: Jenkins
Branch: master

commit 9b99c92c6d8220d111d57bdec2ce057868eb77c9
Author: Andreas Jaeger <email address hidden>
Date: Sat Sep 13 09:54:01 2014 +0200

    Stop using intersphinx

    Remove intersphinx from the docs build as it triggers network calls that
    occasionally fail, and we don't really use intersphinx (links other
    sphinx documents out on the internet)

    This also removes the requirement for internet access during docs build.

    This can cause docs jobs to fail if the project errors out on
    warnings.

    Change-Id: I71e941e2a639641a662a163c682eb86d51de42fb
    Closes-Bug: #1368910

Changed in python-manilaclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/121324
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=0c2b82cf7738b3ad7b8a528d6ecedbcc56093b88
Submitter: Jenkins
Branch: master

commit 0c2b82cf7738b3ad7b8a528d6ecedbcc56093b88
Author: Andreas Jaeger <email address hidden>
Date: Sat Sep 13 09:53:01 2014 +0200

    Stop using intersphinx

    Remove intersphinx from the docs build as it triggers network calls that
    occasionally fail, and we don't really use intersphinx (links other
    sphinx documents out on the internet)

    This also removes the requirement for internet access during docs build.

    This can cause docs jobs to fail if the project errors out on
    warnings.

    Change-Id: I71e941e2a639641a662a163c682eb86d51de42fb
    Closes-Bug: #1368910

Changed in manila:
status: In Progress → Fix Committed
Changed in oslo-incubator:
milestone: none → kilo-1
status: New → Fix Released
assignee: nobody → Andreas Jaeger (jaegerandi)
Changed in manila:
milestone: none → juno-rc1
status: Fix Committed → Fix Released

looks like this got fixed.

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-10-01
Changed in nova:
milestone: none → juno-rc1
status: Fix Committed → Fix Released
Changed in python-manilaclient:
status: Fix Committed → Fix Released
Changed in magnetodb:
milestone: none → juno-rc1
importance: Undecided → Medium
assignee: nobody → Christian Berendt (berendt)

Reviewed: https://review.openstack.org/123962
Committed: https://git.openstack.org/cgit/stackforge/magnetodb/commit/?id=1ae99d808d3e762ae7e0dc2058031e37794fb2a3
Submitter: Jenkins
Branch: master

commit 1ae99d808d3e762ae7e0dc2058031e37794fb2a3
Author: Christian Berendt <email address hidden>
Date: Thu Sep 25 10:00:09 2014 +0200

    Stop using intersphinx

    Remove intersphinx from the docs build as it triggers network calls that
    occasionally fail, and we don't really use intersphinx (links other
    sphinx documents out on the internet)

    This also removes the requirement for internet access during docs build.

    This can cause docs jobs to fail if the project errors out on
    warnings.

    Change-Id: If97dd51370f25598d39abe876f09d005a0df0172
    Related-Bug: #1368910

Reviewed: https://review.openstack.org/121303
Committed: https://git.openstack.org/cgit/openstack/nova-specs/commit/?id=ed3ef0c6d622d8442e3e1416c1488f118b8a4b45
Submitter: Jenkins
Branch: master

commit ed3ef0c6d622d8442e3e1416c1488f118b8a4b45
Author: Andreas Jaeger <email address hidden>
Date: Sat Sep 13 09:31:02 2014 +0200

    Stop using intersphinx

    Remove intersphinx from the docs build as it triggers network calls that
    occasionally fail, and we don't really use intersphinx (links other
    sphinx documents out on the internet)

    This also removes the requirement for internet access during docs build.

    This can cause docs jobs to fail if the project errors out on
    warnings.

    Change-Id: I71e941e2a639641a662a163c682eb86d51de42fb
    Related-Bug: #1368910

Changed in magnetodb:
status: New → Fix Committed

Reviewed: https://review.openstack.org/121292
Committed: https://git.openstack.org/cgit/openstack/cinder-specs/commit/?id=23712eb065cd34dce2662e9deb3a3728a16c95dc
Submitter: Jenkins
Branch: master

commit 23712eb065cd34dce2662e9deb3a3728a16c95dc
Author: Andreas Jaeger <email address hidden>
Date: Sat Sep 13 09:22:41 2014 +0200

    Stop using intersphinx

    Remove intersphinx from the docs build as it triggers network calls that
    occasionally fail, and we don't really use intersphinx (links other
    sphinx documents out on the internet)

    This also removes the requirement for internet access during docs build.

    This can cause docs jobs to fail if the project errors out on
    warnings.

    Change-Id: I71e941e2a639641a662a163c682eb86d51de42fb
    Related-Bug: #1368910

Thierry Carrez (ttx) on 2014-10-16
Changed in nova:
milestone: juno-rc1 → 2014.2
Changed in magnetodb:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-30
Changed in oslo-incubator:
milestone: kilo-1 → 2015.1.0
Sean McGinnis (sean-mcginnis) wrote :

Automatically unassigning due to inactivity.

Changed in cinder:
assignee: Andreas Jaeger (jaegerandi) → nobody
status: In Progress → Triaged
Andreas Jaeger (jaegerandi) wrote :

This was fixed for cinder-specs, no need to fix cinder.

Changed in cinder:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers